# tuple_iterate.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file tuple_iterate.h.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- struct std::tr1::__get_helper< _GLIBCXX_NUM_ARGS, _Tp >
- class std::tr1::tuple< ... >
- struct std::tr1::tuple_element< _GLIBCXX_NUM_ARGS, tuple< _GLIBCXX_TUPLE_ALL_TEMPLATE_ARGS > >
    class tuple_element More...
- struct std::tr1::tuple_size< tuple< ... > >
    class tuple_size More...

## Functions

- tuple std::tr1::make_tuple ()
- tuple std::tr1::tie ()